# $Id: makefile,v 1.3 2000/05/12 08:42:22 lha Exp $

INC=-IC:\\ntddk\\inc -IC:\\ntddk\\inc\\ddk -I..\\inc -I..\\..\\include
CC=cl

all: open.exe strerror.exe mount_xfs.exe umount_xfs.exe xfs-helper.exe

open.exe: open.c
        $(CC) $(INC) open.c

strerror.exe: strerror.c
        $(CC) $(INC) strerror.c

mount_xfs.exe: mount_xfs.c
        $(CC) $(INC) mount_xfs.c

umount_xfs.exe: umount_xfs.c
        $(CC) $(INC) umount_xfs.c

xfs-helper.exe: xfs-helper.c
        $(CC) $(INC) xfs-helper.c /link ws2_32.lib

clean:
	rm -f *.obj *~ *.exe *.stackdump
